classification
Title: Some additions to .hgignore
Type: behavior Stage: resolved
Components: None Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: sandro.tosi Nosy List: brett.cannon, eric.araujo, ezio.melotti, michael.foord, python-dev, sandro.tosi
Priority: low Keywords: patch

Created on 2011-06-15 16:42 by sandro.tosi, last changed 2011-06-25 17:31 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
hgignore_additions-default.patch sandro.tosi, 2011-06-15 16:42 review
hgignore_additions-default-v2.patch sandro.tosi, 2011-06-16 15:58 review
Messages (8)
msg138386 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-06-15 16:42
following http://docs.python.org/devguide/coverage.html doc you'll end
up with several "new" files/dirs in your checkout:

- .coverage, used by coveragepy to save its info
- coverage/ , the symlink to coveragepy/coverage
- htmlcov/ , the dir where the coverage HTML pages are written

I think they should be added to .hgignore so that hg st won't show them, and the attached patch just does it. It's meant for 'default' but should there be no problem to backport it to previous branches.
msg138435 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-16 14:02
See also #12255.
msg138456 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-06-16 15:58
Awesome, in a 3 line patch I managed to add an error... nice :)
msg139034 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-06-25 09:38
New changeset eaaa073a9a42 by Ezio Melotti in branch '3.2':
#12341: add coverage files/dirs to .hgignore. Patch by Sandro Tosi.
http://hg.python.org/cpython/rev/eaaa073a9a42
msg139087 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-25 15:29
Please backport.
msg139088 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-06-25 15:38
New changeset ef306bd1d122 by Ezio Melotti in branch 'default':
#12341: add coverage files/dirs to .hgignore. Patch by Sandro Tosi.
http://hg.python.org/cpython/rev/ef306bd1d122
msg139089 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-06-25 15:39
Fixed during the EuroPython sprint, thanks for the patch!
msg139105 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-06-25 17:31
New changeset ee9eb4e05180 by Ezio Melotti in branch '2.7':
#12341: add coverage files/dirs to .hgignore. Patch by Sandro Tosi.
http://hg.python.org/cpython/rev/ee9eb4e05180
History
Date User Action Args
2011-06-25 17:31:11python-devsetmessages: + msg139105
2011-06-25 15:39:59ezio.melottisetstatus: open -> closed

nosy: + ezio.melotti
messages: + msg139089

resolution: fixed
stage: patch review -> resolved
2011-06-25 15:38:59python-devsetmessages: + msg139088
2011-06-25 15:29:32eric.araujosetmessages: + msg139087
versions: + Python 2.7, Python 3.2
2011-06-25 09:38:31python-devsetnosy: + python-dev
messages: + msg139034
2011-06-16 17:33:39brett.cannonsetnosy: + brett.cannon
2011-06-16 15:58:39sandro.tosisetfiles: + hgignore_additions-default-v2.patch

messages: + msg138456
2011-06-16 14:02:47eric.araujosetnosy: + eric.araujo
messages: + msg138435
2011-06-15 16:44:48michael.foordsetnosy: + michael.foord
2011-06-15 16:42:16sandro.tosicreate